> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridge.new/llms.txt
> Use this file to discover all available pages before exploring further.

# Get provider channels by workspace id and provider type

> Get provider channels by workspace identifier and provider type.



## OpenAPI

````yaml /api-reference/openapi.yaml get /bridge/api/v1/workspaces/{workspaceId}/provider-channels/{messageProviderType}
openapi: 3.1.0
info:
  title: Bridge API
  summary: Bridge API specification for chat system management.
  description: >-
    Bridge API specification including webhook receiver endpoints, Contact CRUD
    operations, and comprehensive chat system.

                        This API includes:
                        1. Webhook Receiver API - for CRM clients to receive event notifications from Bridge
                        2. Contact CRUD API - for clients to manage contacts in Bridge
                        3. Conversations API - for managing conversations with flexible user identification and participant management
                        4. Messages API - for sending messages and files to a conversation
                        5. Files API - for managing files in a message
                        6. Custom attributes API - for consult custom attributes of an specific workspace
                    
                        **Multi-Tenant Architecture**: All operations are scoped to a specific workspace using workspaceId.
  termsOfService: https://www.sainapsis.com/legal/terms-of-service
  contact:
    name: Bridge Support
    url: https://app.bridge.new/
    email: support@sainapsis.com
  license:
    name: MIT License
    url: https://spdx.org/licenses/MIT.html
  version: 1.0.0
servers:
  - url: https://api-connect-us.bridge.new
    description: Production server
security: []
paths:
  /bridge/api/v1/workspaces/{workspaceId}/provider-channels/{messageProviderType}:
    get:
      tags:
        - Provider channels API
      summary: Get provider channels by workspace id and provider type
      description: Get provider channels by workspace identifier and provider type.
      operationId: >-
        get_provider_channels_by_workspace_id_and_provider_type_bridge_api_v1_workspaces__workspaceId__provider_channels__messageProviderType__get
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Unique identifier of the workspace (UUID v4).
            title: Workspaceid
          description: Unique identifier of the workspace (UUID v4).
        - name: messageProviderType
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/MessageProviderType'
            description: Message provider type (e.g. WHATSAPP, HEYGIA).
          description: Message provider type (e.g. WHATSAPP, HEYGIA).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderChannelResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              examples:
                FORBIDDEN:
                  value:
                    title: Forbidden
                    status: 403
                    code: BRIDGE_CORE_0301
              schema:
                $ref: '#/components/schemas/Problem'
        '404':
          description: Not Found
          content:
            application/json:
              examples:
                PROVIDER_CHANNEL_NOT_FOUND:
                  value:
                    title: Provider Channel Not Found
                    status: 404
                    code: BRIDGE_PROVIDER_CHANNEL_0001
              schema:
                $ref: '#/components/schemas/Problem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - x-api-key: []
components:
  schemas:
    MessageProviderType:
      type: string
      enum:
        - WHATSAPP
        - SMS
        - TELEGRAM
        - INSTAGRAM
        - TWITTER
        - LINE
        - FACEBOOK
        - IMESSAGE
        - WHATSAPP_TEST
        - HEYGIA
      title: MessageProviderType
    ProviderChannelResponse:
      properties:
        workspaceId:
          type: string
          title: Workspace Identifier
          description: Unique identifier of the workspace (UUID v4).
          examples:
            - 92b2d4f3-81e1-4b61-a7ec-6f4ff3b58be5
        providerChannels:
          items:
            $ref: '#/components/schemas/ProviderChannel'
          type: array
          title: Provider Channels
          description: >-
            List of provider channels (phone numbers) available for this
            workspace.
      type: object
      required:
        - workspaceId
        - providerChannels
      title: ProviderChannelResponse
      description: Response body for provider channels operations.
    Problem:
      properties:
        title:
          type: string
          title: Title
          description: Short, summary of the problem type.
        status:
          type: integer
          title: Status
          description: >-
            HTTP status code generated by the origin server for this occurrence
            of the problem.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: Explanation specific to this occurrence of the problem.
        instance:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
        traceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Traceid
          description: Trace ID for debugging purposes.
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
          description: >-
            Error code for identification, view the error codes page for more
            details.
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Errors
          description: List of error details.
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
          description: Extra information about the problem.
      type: object
      required:
        - title
        - status
      title: Problem
      description: Object representing a Problem response body.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProviderChannel:
      properties:
        provider:
          $ref: '#/components/schemas/MessageProviderType'
          title: Provider
          description: Provider name of the messaging channel.
          examples:
            - WHATSAPP
            - HEYGIA
        identifier:
          type: string
          title: Identifier
          description: >-
            Identifier associated with this provider channel, in E.164 format
            without the '+' sign.
      type: object
      required:
        - provider
        - identifier
      title: ProviderChannel
      description: Provider channel associated in a workspace.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    x-api-key:
      type: apiKey
      description: Copy the API key as provided by the Bridge Console.
      in: header
      name: x-api-key

````